Botan 1.10.17

Public Member Functions | List of all members
Botan::PK_Ops::Decryption Class Referenceabstract

`#include <pk_ops.h>`

Inheritance diagram for Botan::PK_Ops::Decryption:

## Public Member Functions
virtual SecureVector< byte > | decrypt (const byte msg[], size_t msg_len)=0
virtual size_t | max_input_bits () const =0
virtual | ~Decryption ()

## Detailed Description

Public key decryption interface

Definition at line 35 of file pk_ops.h.

## Constructor & Destructor Documentation

## ◆ ~Decryption()

virtual Botan::PK_Ops::Decryption::~Decryption | ( |  | ) |
| inline virtual

Definition at line 43 of file pk_ops.h.

43 {}

## Member Function Documentation

## ◆ decrypt()

virtual SecureVector<byte> Botan::PK_Ops::Decryption::decrypt | ( | const byte | msg[],
|  | size_t | msg_len
| ) |  |
| pure virtual

Implemented in Botan::RSA_Private_Operation, and Botan::ElGamal_Decryption_Operation.

## ◆ max_input_bits()

virtual size_t Botan::PK_Ops::Decryption::max_input_bits | ( |  | ) | const
| pure virtual

Implemented in Botan::RSA_Private_Operation, and Botan::ElGamal_Decryption_Operation.

The documentation for this class was generated from the following file:

- src/pubkey/pk_ops.h